#ifndef UTILITIEC_REGEX_MACHINE_STATE_H
#define UTILITIEC_REGEX_MACHINE_STATE_H

#include "machine_state_struct.h"

void RegexMachineStateBase_Init(RegexMachineStateBase* base, enum RegexMachineStateType type);
void RegexMachineStateAccept_Init(RegexMachineStateAccept* accept);
void RegexMachineStateOption_Init(RegexMachineStateOption* option);
void RegexMachineStateGroup_Init(RegexMachineStateGroup* group, char* name, size_t number);
void RegexMachineStateRepeat_Init(RegexMachineStateRepeat* repeat, size_t min, size_t max, bool greedy, bool possessive, RegexMachineStateBase* repeatable);

#endif
